Bug 500256 - Pre-Review Request: jakarta-commons-configuration - Commons Configuration Package
Pre-Review Request: jakarta-commons-configuration - Commons Configuration Pac...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 18:14 EDT by Fernando Nasser
Modified: 2009-08-20 15:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 15:51:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:14:30 EDT
Package needed for Maven 2.0.8

Spec URL: 
http://people.fedoraproject.org/~fnasser/jakarta-commons-configuration.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/jakarta-commons-configuration-1.4-4.jpp6.src.rpm

Description: 
Configuration is a project to provide a generic Configuration
interface and allow the source of the values to vary. It
provides easy typed access to single, as well as lists of
configuration values based on a 'key'.
Right now you can load properties from a simple properties
file, a properties file in a jar, an XML file, JNDI settings,
as well as use a mix different sources using a
ConfigurationFactory and CompositeConfiguration.
Custom configuration objects are very easy to create now
by just subclassing AbstractConfiguration. This works
similar to how AbstractList works.
Comment 1 Andrew Overholt 2009-05-14 15:59:41 EDT
- the URL is no longer valid because we're a few versions behind.  Here's one that works:

http://archive.apache.org/dist/commons/configuration/source/commons-configuration-1.4-src.tar.gz

- I verified the md5sums all match (upstream .md5, one I downloaded, in-SRPM .tar.gz)

- I looked through a random sampling of 5 or so source files and they all say ASL
2.0 as does LICENSE.txt.  Therefore, the License field should reflect this.

- there some whitespace and other minor-looking differences between the .pom file as included in the SRPM and what I can get from upstream

Otherwise, things look okay for pre-review.
Comment 3 Andrew Overholt 2009-05-19 09:05:59 EDT
The whitespace differences still exist in the .pom file but I think that's probably fine for pre-review.  md5sums match.

Accepted.
Comment 4 Fernando Nasser 2009-05-20 16:42:49 EDT
New Package CVS Request
=======================
Package Name: jakarta-commons-configuration
Short Description: Commons Configuration Package
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 5 Kevin Fenzi 2009-05-21 19:50:54 EDT
cvs done.
Comment 6 Alexander Kurtakov 2009-08-20 15:51:33 EDT
Built in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=128120

Note You need to log in before you can comment on or make changes to this bug.